> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 지정된 인스턴스의 서비스 쿼리 엔드포인트 조회

> 이 기능은 Experimental 기능입니다. 활성화하려면 지원팀에 문의하십시오.



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint:
    get:
      tags:
        - Service
      summary: 지정된 인스턴스의 서비스 쿼리 엔드포인트 조회
      description: 이 기능은 Experimental 기능입니다. 활성화하려면 지원팀에 문의하십시오.
      parameters:
        - description: 요청한 조직의 ID.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 요청한 서비스의 ID.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServiceQueryAPIEndpoint'
                  status:
                    description: HTTP 상태 코드.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 판단되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ServiceQueryAPIEndpoint:
      properties:
        allowedOrigins:
          description: 허용된 origin으로, 도메인을 쉼표로 구분한 목록
          type: string
        id:
          description: 서비스 쿼리 엔드포인트의 ID
          type: string
        openApiKeys:
          description: 서비스 쿼리 엔드포인트에 액세스할 수 있는 OpenAPI Key 목록
          items:
            type: string
          type: array
        roles:
          description: 서비스 쿼리 엔드포인트에 액세스할 수 있는 역할 목록
          items:
            enum:
              - sql_console_read_only
              - sql_console_admin
            type: string
          type: array
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````